#include <fstream>
#include "enumerator.h"

using namespace std;

Enumerator::Enumerator(string fajlnev)
{
    fajl.open(fajlnev.c_str());
    end = false;
}

void Enumerator::First()
{
    fajl >> nextName;
    Next();
}

void Enumerator::Next()
{
    if(fajl.eof())
    {
        end = true;
        return;
    }

    currentName = nextName;
    count = 0;
    while(currentName == nextName && !fajl.eof())
    {
        ++count;
        fajl >> nextName;
    }
}

EnorData Enumerator::Current() const
{
    EnorData data;
    data.name = currentName;
    data.count = count;
    return data;
}

bool Enumerator::End() const
{
    return end;
}
