#ifndef ENUMERATOR_H_INCLUDED
#define ENUMERATOR_H_INCLUDED

#include <string>
#include <fstream>

struct EnorData
{
    std::string name;
    int count;
};

class Enumerator
{
    private:
        std::string currentName;
        std::string nextName;
        int count;

        std::ifstream fajl;
        bool end;

    public:
        Enumerator(std::string fajlnev);
        void First();
        void Next();
        EnorData Current() const;
        bool End() const;
};


#endif // ENUMERATOR_H_INCLUDED
